Create payment
curl --request POST \
--url https://api.finpace.tech/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paymentId": "pay_01J8YF6D",
"amount": {
"currency": "EUR",
"amount": "1250.00"
},
"status": "pending_approval",
"debtorArrangementId": "<string>",
"approvalRequired": true
}
'import requests
url = "https://api.finpace.tech/payments"
payload = {
"paymentId": "pay_01J8YF6D",
"amount": {
"currency": "EUR",
"amount": "1250.00"
},
"status": "pending_approval",
"debtorArrangementId": "<string>",
"approvalRequired": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
paymentId: 'pay_01J8YF6D',
amount: {currency: 'EUR', amount: '1250.00'},
status: 'pending_approval',
debtorArrangementId: '<string>',
approvalRequired: true
})
};
fetch('https://api.finpace.tech/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentId": "pay_01J8YF6D",
"amount": {
"currency": "EUR",
"amount": "1250.00"
},
"status": "pending_approval",
"debtorArrangementId": "<string>",
"approvalRequired": true
}Payments
Create payment
Initiate payment with mandate and limit checks.
POST
/
payments
Create payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I